using IRaCIS.Application.Contracts;

namespace IRaCIS.Application.Interfaces
{
    public interface ITrialExperienceService
    {

        /// <summary>
        /// 获取项目医生编辑的信息
        /// </summary>
        /// <param name="inDto"></param>
        /// <returns></returns>
        Task<Doctor> GetTrialDoctorInfo(GetTrialDoctorInfoInDto inDto);


        Task<TrialExperienceModel> GetTrialExperience(TrialExperienceModelIndto indto);
        Task<IResponseOutput> AddOrUpdateTrialExperience(TrialExperienceCommand model);
        Task<IResponseOutput> DeleteTrialExperience(Guid id);
        Task<IResponseOutput> UpdateGcpExperience(GCPExperienceCommand model);
        Task<IResponseOutput> UpdateOtherExperience(ClinicalExperienceCommand updateOtherClinicalExperience);
    }
}